/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/26 17:51
 * Description:
 */
package com.emr.entity;

import java.util.List;

public class Archive_Master_Vo {
    private String id;

    private String patientId;

    private String inpNo;

    private String visitId;

    private String name;

    private String sex;

    private String deptName;

    private String dischargeDateTime;

    private String archivestate;

    private String admissionDateTime;

    private String deptAdmissionTo;

    private String checkDoctor;

    private String checkDatetime;

    private String checkedDoctor;

    private String checkedDatetime;

    private String lockinfo;

    private String doctorInCharge;

    private String idNo;

    private String dischargeDisposition;

    private String deptCodeLend;

    private String startDateTo;

    private String endDateTo;

    private String startDate;

    private String endDate;

    private String emrCmit;

    private String firstInstance;

    private List<String> deptList;

    private int cmtDoctor;

    private int cmtNurse;

    private String content;

    // 科室是否纸质提交
    private String isscaned;

    //2021-1-13 新增扫描字段
    private String isScanning;

    //2021-1-18 新增床号
    private String bedNumber;

    private String deathFlag;

    private String fid;//following表id

    private String handleId;//handle_id

    private String handleName;//handle_name

    private String handleTime;//handle_time

    private String startHandleTime;

    private String endHandleTime;

    private String followingType;//following_type

    private String followingContent;//following_content

    private String doctorName;

    private String nurseName;

    private String cmtDoctorDate;

    private String cmtNurseDate;

    private String emrDoctorCmt;

    private String emrNureCmt;

    private String transferDept;

    //2021-02-02新增
    private String overdue;//超期天数

    private String createTime;//初审时间

    private String createTimeStart;

    private String createTimeEnd;

    private String overdueDays;

    //2021-3-20 新增总分
    private String score;

    //2021-2 缺陷数
    private int numb;

    //2021-5-13 新增签收
    private Integer isSign;

    private String signer;

    private String signTime;

    private String startSignDate;

    private String endSignDate;

    //科主任是否审核标志
    private String checkFlag;
    //2021-8-03 ,字段值不为0，页面显示“已打印”标志
    private String printNum;

    //2021-8-04 ,出院浏览页面电子病历医生提交字段
    private String doctorNum;

    //2021-8-04 ,出院浏览页面电子病历护士提交字段
    private String nurseNum;

    //2021-8-06 ,退回给医生的缺陷数量（出院浏览页面使用）
    private String faultDoctorNum;

    //2021-8-06 ,退回给护士的缺陷数量（出院浏览页面使用）
    private String faultNurseNum;

    public String getFaultDoctorNum() {
        return faultDoctorNum;
    }

    public void setFaultDoctorNum(String faultDoctorNum) {
        this.faultDoctorNum = faultDoctorNum;
    }

    public String getFaultNurseNum() {
        return faultNurseNum;
    }

    public void setFaultNurseNum(String faultNurseNum) {
        this.faultNurseNum = faultNurseNum;
    }

    public String getDoctorNum() {
        return doctorNum;
    }

    public void setDoctorNum(String doctorNum) {
        this.doctorNum = doctorNum;
    }

    public String getNurseNum() {
        return nurseNum;
    }

    public void setNurseNum(String nurseNum) {
        this.nurseNum = nurseNum;
    }

    public String getPrintNum() {
        return printNum;
    }

    public void setPrintNum(String printNum) {
        this.printNum = printNum;
    }

    public String getCheckFlag() {
        return checkFlag;
    }

    public void setCheckFlag(String checkFlag) {
        this.checkFlag = checkFlag;
    }

    public String getOverdueDays() {
        return overdueDays;
    }

    public void setOverdueDays(String overdueDays) {
        this.overdueDays = overdueDays;
    }

    public String getCreateTimeStart() {
        return createTimeStart;
    }

    public void setCreateTimeStart(String createTimeStart) {
        this.createTimeStart = createTimeStart;
    }

    public String getCreateTimeEnd() {
        return createTimeEnd;
    }

    public void setCreateTimeEnd(String createTimeEnd) {
        this.createTimeEnd = createTimeEnd;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getOverdue() {
        return overdue;
    }

    public void setOverdue(String overdue) {
        this.overdue = overdue;
    }

    public String getCmtDoctorDate() {
        return cmtDoctorDate;
    }

    public void setCmtDoctorDate(String cmtDoctorDate) {
        this.cmtDoctorDate = cmtDoctorDate;
    }

    public String getCmtNurseDate() {
        return cmtNurseDate;
    }

    public void setCmtNurseDate(String cmtNurseDate) {
        this.cmtNurseDate = cmtNurseDate;
    }

    public String getEmrDoctorCmt() {
        return emrDoctorCmt;
    }

    public void setEmrDoctorCmt(String emrDoctorCmt) {
        this.emrDoctorCmt = emrDoctorCmt;
    }

    public String getEmrNureCmt() {
        return emrNureCmt;
    }

    public void setEmrNureCmt(String emrNureCmt) {
        this.emrNureCmt = emrNureCmt;
    }

    public String getTransferDept() {
        return transferDept;
    }

    public void setTransferDept(String transferDept) {
        this.transferDept = transferDept;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getNurseName() {
        return nurseName;
    }

    public void setNurseName(String nurseName) {
        this.nurseName = nurseName;
    }

    public String getStartHandleTime() {
        return startHandleTime;
    }

    public void setStartHandleTime(String startHandleTime) {
        this.startHandleTime = startHandleTime;
    }

    public String getEndHandleTime() {
        return endHandleTime;
    }

    public void setEndHandleTime(String endHandleTime) {
        this.endHandleTime = endHandleTime;
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid;
    }

    public String getHandleId() {
        return handleId;
    }

    public void setHandleId(String handleId) {
        this.handleId = handleId;
    }

    public String getHandleName() {
        return handleName;
    }

    public void setHandleName(String handleName) {
        this.handleName = handleName;
    }

    public String getHandleTime() {
        return handleTime;
    }

    public void setHandleTime(String handleTime) {
        this.handleTime = handleTime;
    }

    public String getFollowingType() {
        return followingType;
    }

    public void setFollowingType(String followingType) {
        this.followingType = followingType;
    }

    public String getFollowingContent() {
        return followingContent;
    }

    public void setFollowingContent(String followingContent) {
        this.followingContent = followingContent;
    }

    public String getDeathFlag() {
        return deathFlag;
    }

    public void setDeathFlag(String deathFlag) {
        this.deathFlag = deathFlag == null ? null : deathFlag.trim();
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId == null ? null : patientId.trim();
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo == null ? null : inpNo.trim();
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId == null ? null : visitId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex == null ? null : sex.trim();
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName == null ? null : deptName.trim();
    }

    public String getDischargeDateTime() {
        return dischargeDateTime;
    }

    public void setDischargeDateTime(String dischargeDateTime) {
        this.dischargeDateTime = dischargeDateTime == null ? null : dischargeDateTime.trim();
    }

    public String getArchivestate() {
        return archivestate;
    }

    public void setArchivestate(String archivestate) {
        this.archivestate = archivestate == null ? null : archivestate.trim();
    }

    public String getAdmissionDateTime() {
        return admissionDateTime;
    }

    public void setAdmissionDateTime(String admissionDateTime) {
        this.admissionDateTime = admissionDateTime == null ? null : admissionDateTime.trim();
    }

    public String getDeptAdmissionTo() {
        return deptAdmissionTo;
    }

    public void setDeptAdmissionTo(String deptAdmissionTo) {
        this.deptAdmissionTo = deptAdmissionTo == null ? null : deptAdmissionTo.trim();
    }

    public String getCheckDoctor() {
        return checkDoctor;
    }

    public void setCheckDoctor(String checkDoctor) {
        this.checkDoctor = checkDoctor == null ? null : checkDoctor.trim();
    }

    public String getCheckDatetime() {
        return checkDatetime;
    }

    public void setCheckDatetime(String checkDatetime) {
        this.checkDatetime = checkDatetime == null ? null : checkDatetime.trim();
    }

    public String getCheckedDoctor() {
        return checkedDoctor;
    }

    public void setCheckedDoctor(String checkedDoctor) {
        this.checkedDoctor = checkedDoctor == null ? null : checkedDoctor.trim();
    }

    public String getCheckedDatetime() {
        return checkedDatetime;
    }

    public void setCheckedDatetime(String checkedDatetime) {
        this.checkedDatetime = checkedDatetime == null ? null : checkedDatetime.trim();
    }

    public String getLockinfo() {
        return lockinfo;
    }

    public void setLockinfo(String lockinfo) {
        this.lockinfo = lockinfo == null ? null : lockinfo.trim();
    }

    public String getDoctorInCharge() {
        return doctorInCharge;
    }

    public void setDoctorInCharge(String doctorInCharge) {
        this.doctorInCharge = doctorInCharge == null ? null : doctorInCharge.trim();
    }

    public String getIdNo() {
        return idNo;
    }

    public void setIdNo(String idNo) {
        this.idNo = idNo == null ? null : idNo.trim();
    }

    public String getDischargeDisposition() {
        return dischargeDisposition;
    }

    public void setDischargeDisposition(String dischargeDisposition) {
        this.dischargeDisposition = dischargeDisposition == null ? null : dischargeDisposition.trim();
    }

    public String getDeptCodeLend() {
        return deptCodeLend;
    }

    public void setDeptCodeLend(String deptCodeLend) {
        this.deptCodeLend = deptCodeLend == null ? null : deptCodeLend.trim();
    }

    public String getStartDateTo() {
        return startDateTo;
    }

    public void setStartDateTo(String startDateTo) {
        this.startDateTo = startDateTo == null ? null : startDateTo.trim();
    }

    public String getEndDateTo() {
        return endDateTo;
    }

    public void setEndDateTo(String endDateTo) {
        this.endDateTo = endDateTo == null ? null : endDateTo.trim();
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate == null ? null : startDate.trim();
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate == null ? null : endDate.trim();
    }

    public List<String> getDeptList() {
        return deptList;
    }

    public void setDeptList(List<String> deptList) {
        this.deptList = deptList;
    }

    public String getEmrCmit() {       return emrCmit;    }

    public void setEmrCmit(String emrCmit) {       this.emrCmit = emrCmit == null ? null : emrCmit.trim();   }

    public String getFirstInstance() {
        return this.firstInstance;
    }

    public void setFirstInstance(String firstInstance) {
        this.firstInstance = firstInstance == null ? null : firstInstance.trim();
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content == null ? null : content.trim();
    }

    public int getCmtDoctor() {
        return cmtDoctor;
    }

    public void setCmtDoctor(int cmtDoctor) {
        this.cmtDoctor = cmtDoctor;
    }

    public int getCmtNurse() {
        return cmtNurse;
    }

    public void setCmtNurse(int cmtNurse) {
        this.cmtNurse = cmtNurse;
    }

    public String getIsscaned() {
        return isscaned;
    }

    public void setIsscaned(String isscaned) {
        this.isscaned = isscaned;
    }

    public String getIsScanning() {
        return isScanning;
    }

    public void setIsScanning(String isScanning) {
        this.isScanning = isScanning;
    }

    public String getBedNumber() {
        return bedNumber;
    }

    public void setBedNumber(String bedNumber) {
        this.bedNumber = bedNumber;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public int getNumb() {
        return numb;
    }

    public void setNumb(int numb) {
        this.numb = numb;
    }

    public Integer getIsSign() {
        return isSign;
    }

    public void setIsSign(Integer isSign) {
        this.isSign = isSign;
    }

    public String getSigner() {
        return signer;
    }

    public void setSigner(String signer) {
        this.signer = signer == null ? null : signer.trim();
    }

    public String getSignTime() {
        return signTime;
    }

    public void setSignTime(String signTime) {
        this.signTime = signTime == null ? null : signTime.trim();
    }

    public String getStartSignDate() {
        return startSignDate;
    }

    public void setStartSignDate(String startSignDate) {
        this.startSignDate = startSignDate;
    }

    public String getEndSignDate() {
        return endSignDate;
    }

    public void setEndSignDate(String endSignDate) {
        this.endSignDate = endSignDate;
    }
}
 

